Name:           xviewer
Version:        3.2.11
%define         subrel  1
Release:        %mkrel 1
Summary:        Fast and functional graphics viewer
License:        GPLv2+ and LGPLv2+
Group:          Graphics/Viewers
Url:            https://github.com/linuxmint/xviewer
Source:         https://github.com/linuxmint/%{name}/archive/%{version}.tar.gz#/%{name}-%{version}.tar.gz
#Patch0:         https://github.com/linuxmint/xviewer/commit/61a2da998bf447c0e9aea9d5d0c1a7472715b1df.patch#/cinnamon-desktop.patch

BuildRequires:  gnome-common
BuildRequires:  hicolor-icon-theme
BuildRequires:  pkgconfig(libjpeg)
BuildRequires:  yelp-tools
BuildRequires:  pkgconfig(dbus-glib-1)
BuildRequires:  pkgconfig(exempi-2.0)
BuildRequires:  pkgconfig(gdk-pixbuf-2.0)
BuildRequires:  pkgconfig(cinnamon-desktop)
BuildRequires:  pkgconfig(gobject-introspection-1.0)
BuildRequires:  pkgconfig(gtk+-3.0)
BuildRequires:  pkgconfig(gtk+-unix-print-3.0)
BuildRequires:  pkgconfig(lcms2)
BuildRequires:  pkgconfig(libexif)
BuildRequires:  pkgconfig(libpeas-gtk-1.0)
BuildRequires:  pkgconfig(librsvg-2.0)
BuildRequires:  pkgconfig(libxml-2.0)
BuildRequires:  pkgconfig(glib-2.0)
BuildRequires:  pkgconfig(xapp)
BuildRequires:  shared-mime-info
BuildRequires:  itstool
BuildRequires:  meson
Recommends:     %{name}-plugins
# see mga#32393
Requires:       cinnamon-desktop
Requires:       xapps

%description
xviewer is a simple graphics viewer for the Cinnamon desktop and
others which uses the gdk-pixbuf library. It can deal with large
images, and zoom and scroll with constant memory usage. Its goals
are simplicity and standards compliance.

%package devel
Summary:        Fast and functional graphics viewer development files
Group:          Development/C
Requires:       %{name} = %{version}-%{release}

%description devel
xviewer is a simple graphics viewer for the Cinnamon desktop and
others which uses the gdk-pixbuf library. It can deal with large
images, and zoom and scroll with constant memory usage. Its goals
are simplicity and standards compliance.

%prep
%setup -q
%autopatch -p1

%build
%meson
%meson_build

%install
%meson_install
%find_lang %{name} --with-gnome
find %{buildroot} -type f -name "*.la" -delete -print

if [ -d %{buildroot}%{_datadir}/GConf/ ]; then
    rm -rf %{buildroot}%{_datadir}/GConf/
fi

%files -f %{name}.lang
%license COPYING
%doc AUTHORS
%{_bindir}/%{name}
%{_libdir}/%{name}/
%{_datadir}/metainfo/%{name}.appdata.xml
%{_datadir}/applications/%{name}.desktop
%{_datadir}/%{name}/
%{_datadir}/glib-2.0/schemas/*.xml
%{_datadir}/icons/hicolor/*/apps/%{name}.*
%{_datadir}/gtk-doc/html/%{name}

%files devel
%{_includedir}/%{name}/
%{_libdir}/pkgconfig/%{name}.pc


%changelog
* Mon Feb 10 2025 papoteur <papoteur> 3.2.11-1.1.mga9
+ Revision: 2146529
- add requirement for xapps and desktop-cinnamon (mga#32393)

* Mon Dec 05 2022 joequant <joequant> 3.2.11-1.mga9
+ Revision: 1917911
- update to 3.2.11

* Sun Aug 07 2022 joequant <joequant> 3.2.10-1.mga9
+ Revision: 1875851
- update 3.2.10

* Fri Jul 01 2022 joequant <joequant> 3.2.7-1.mga9
+ Revision: 1867013
- update to 3.2.7

* Fri Apr 01 2022 umeabot <umeabot> 3.0.0-2.mga9
+ Revision: 1838950
- Mageia 9 Mass Rebuild

* Wed Jun 02 2021 joequant <joequant> 3.0.0-1.mga9
+ Revision: 1729320
- update to 3.0.0

* Fri Dec 11 2020 joequant <joequant> 2.8.1-1.mga8
+ Revision: 1655272
- update to 2.8.1

* Tue Dec 08 2020 joequant <joequant> 2.8.0-1.mga8
+ Revision: 1654691
- fix deps
- fix deps
- update to 2.8.0

* Sun Jun 28 2020 joequant <joequant> 2.6.2-1.mga8
+ Revision: 1599807
- update to 2.6.2

* Sat Mar 21 2020 wally <wally> 2.4.1-3.mga8
+ Revision: 1558641
- drop unused BR libxml2-python

* Tue Feb 18 2020 umeabot <umeabot> 2.4.1-2.mga8
+ Revision: 1539308
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sat Dec 07 2019 joequant <joequant> 2.4.1-1.mga8
+ Revision: 1464881
- upgrade to 2.4.1

* Mon Sep 16 2019 tv <tv> 2.2.1-2.mga8
+ Revision: 1441873
- drop BR on libxml2-python
- rebuild for libpeas

* Sat Aug 10 2019 joequant <joequant> 2.2.1-1.mga8
+ Revision: 1428601
- update to 2.2.1

* Thu Aug 08 2019 tv <tv> 2.2.0-2.mga8
+ Revision: 1428122
- rebuild with latest libpeas

* Tue Jul 09 2019 joequant <joequant> 2.2.0-1.mga8
+ Revision: 1419695
- update to 2.2.0

* Sun Jan 13 2019 kekepower <kekepower> 2.0.0-2.mga7
+ Revision: 1356074
- Rebuild for new exempi

* Mon Nov 26 2018 joequant <joequant> 2.0.0-1.mga7
+ Revision: 1334888
- upgrade to 2.0.0

* Sun Sep 23 2018 umeabot <umeabot> 1.8.1-2.mga7
+ Revision: 1301995
- Mageia 7 Mass Rebuild

* Sat Jun 30 2018 joequant <joequant> 1.8.1-1.mga7
+ Revision: 1240986
- upgrade to 1.8.1

* Sun Apr 29 2018 joequant <joequant> 1.8.0-1.mga7
+ Revision: 1223528
- upgrade to 1.8.0

* Mon Mar 19 2018 kekepower <kekepower> 1.6.1-4.mga7
+ Revision: 1210354
- Rebuild for new exempi

* Mon Mar 12 2018 joequant <joequant> 1.6.1-3.mga7
+ Revision: 1208595
- use cinnamon desktop and not gnome desktop
- rebuild with new gnome-desktop
+ ovitters <ovitters>
- rebuild for gnome-desktop

* Sat Dec 16 2017 joequant <joequant> 1.6.1-1.mga7
+ Revision: 1182933
- upgrade to 1.6.1

* Sat Sep 23 2017 cjw <cjw> 1.4.3-2.mga7
+ Revision: 1158204
- rebuild for new find_lang

* Mon Jul 17 2017 joequant <joequant> 1.4.3-1.mga7
+ Revision: 1123984
- add source
- update to 1.4.3

* Sun Jan 29 2017 joequant <joequant> 1.2.2-1.mga6
+ Revision: 1083975
- Update sources
- upgrade to 1.2.2

* Fri Nov 11 2016 ngompa <ngompa> 1.0.4-3.mga6
+ Revision: 1066479
- Fix up spec

* Sat Jun 25 2016 joequant <joequant> 1.0.4-2.mga6
+ Revision: 1037585
- fix am lang semicolon issue
- imported package xviewer

